# POST /scheduling/bookings/:booking_id/reschedule

**Resource:** [SCHEDULING](./scheduling.md)  
**MCP tool:** `reschedule_booking`  
**Scopes:** `scheduling:write`  
**Write operation:** yes

Reschedule a booking. Use get_available_slots to find a valid new slot.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `booking_id` | path | string | yes |  |
| `slot` | body | string | yes |  |
| `reason` | body | string | no |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/scheduling/bookings/:booking_id/reschedule"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"slot":"...","reason":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`